/*!
 * @file power_up.h
 * @brief A class representing a PowerUp in the world.
*/

#ifndef _POWER_UP_H
#define _POWER_UP_H

#include "world_entity.h"

class PowerUp : public WorldEntity {

public:
  void loadParams(const TiXmlElement* root);
  void collidesWith (WorldEntity* entity, const Vector& location);

protected:
  PowerUp();
  virtual ~PowerUp ();
  virtual void hide();
};

#endif /* _POWER_UP_H */
